# TBasicPrefsComponent Class Reference

Inheritance diagram for TBasicPrefsComponent:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual TMCCommandBindingContextList *MCCOMAPI | GetCommandBindingContexts ()
## Static Public Member Functions
static void | PrepareBindingContext (TMCCommandBindingContext &ioContext, IDType inContextID, int16 inNameRessourceID, int16 inNameStringIndex)

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicPrefsComponent::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicDataExchanger.

virtual TMCCommandBindingContextList* MCCOMAPI TBasicPrefsComponent::GetCommandBindingContexts | ( |  | ) | `[inline, virtual]`

Returns a pointer to the binding contexts of the component, null if it has none

Implements IExPrefsComponent.

static void TBasicPrefsComponent::PrepareBindingContext | ( | TMCCommandBindingContext & | ioContext,
|  | IDType | inContextID,
|  | int16 | inNameRessourceID,
|  | int16 | inNameStringIndex |
| ) |  |  | `[static]`

Sets the name and id of a TMCCommandBindingContext

Parameters:

  | ioContext | the context to setup
  | inContextID | the context's ID
  | inNameRessourceID | the STR# resource number from which the context's name will be loaded
  | inNameStringIndex | the index of the context's name in the previous STR# resource

virtual MCCOMErr MCCOMAPI TBasicPrefsComponent::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[inline, virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicDataExchanger.

The documentation for this class was generated from the following file:

- BasicPrefsComponent.h